(defstruct player-ship
  armor-val
  rep-shield-val
  warp-drive ; tuple, first ele is power state (0,1), second is fuel cost 
  reactor-str ; 0 - low power, 1 - full power, 2 - overdrive
  ammo
  warp-field ; 0 - low power, 1 - full power
  weapons
  credits
  crew
  inventory)

(defstruct player-inventory
  petrofuel
  gruel
  spice
  ammo
  archeotech)

(defstruct crew
  sanity-val ; Max 100
  moral-val ; Max 100
  crew-members ; List of *uniq-crew-mem*
  )

;;; Unique crew member that can provide an abstract buff
;;; or nerf to some internal game system
(defstruct uniq-crew-mem
  armor-buff
  rep-shield-buff
  sanity-buff
  moral-buff
  warp-drive-buff
  reactor-str-buff
  warp-field-buff
  plasma-buff
  expl-buff
  beam-buff
  credit-buff)

(defstruct weapon
  name
  shield-dmg
  hull-dmg
  ammo-cost)

(defstruct market
  price-of-petrofuel
  price-of-ammo
  price-of-archeotech
  price-of-spice
  price-of-gruel)

